Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 827981 - "mobile" and "android" overlayed on amo
: "mobile" and "android" overlayed on amo
Product: Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: unspecified
: Other Android
: -- normal
: 2013-03-28
Assigned To: Christopher Van Wiemeersch [:cvan]
: 829781 831110 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2013-01-08 12:45 PST by Brad Lassey [:blassey] (use needinfo?)
Modified: 2016-02-04 14:51 PST (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

screenshot (176.51 KB, image/png)
2013-01-08 12:45 PST, Brad Lassey [:blassey] (use needinfo?)
no flags Details
screenshot (108.32 KB, image/jpeg)
2013-03-27 16:20 PDT, krupa raj[:krupa]
no flags Details

Description Brad Lassey [:blassey] (use needinfo?) 2013-01-08 12:45:47 PST
Created attachment 699386 [details]
Comment 1 Kevin Brosnan [:kbrosnan] 2013-01-11 14:45:20 PST
*** Bug 829781 has been marked as a duplicate of this bug. ***
Comment 2 Aaron Train [:aaronmt] 2013-01-15 17:48:19 PST
*** Bug 831110 has been marked as a duplicate of this bug. ***
Comment 3 Aaron Train [:aaronmt] 2013-01-15 17:49:25 PST
Tracking for investigation?
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2013-01-17 10:31:56 PST
We're driving people to AMO for theme support in 19, so we'd like to make sure this is resolved before that goes to release.
Comment 5 Christopher Van Wiemeersch [:cvan] 2013-01-17 10:35:23 PST

*** This bug has been marked as a duplicate of bug 829269 ***
Comment 6 Doug Turner (:dougt) 2013-03-14 13:36:27 PDT
This problem still exist.  I am not sure it is a dup of the other one. 

This is a pretty serious UI issue - it is basically the first thing I see when I want to install an add-on.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2013-03-18 16:34:08 PDT
19 has already shipped, renominating for tracking
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2013-03-21 10:11:07 PDT
Chris - we still this happening during page load, which can take a few seconds. Is there something we can do to make the layout happen faster? 

It looks bad since AMO is really the front-door for add-ons in Fennec.
Comment 9 Christopher Van Wiemeersch [:cvan] 2013-03-21 10:23:12 PDT
Previously there was a FOUC that was attributed to a Fennec bug (bug 759678). We're now inlining all of our CSS in a <style> as part of bug 721523. We tried reverting it but we noticed another visual bug (not sure if it's related to the original Fennec bugs, but was not reproducible on stock browser). So we're back to the inline <style>. There are not even HTTP requests for our CSS at all now and data URIs for most icons - we're pulling in just a few images for add-on icons/previews.

That aside, sure thing - let me look into into seeing what we can do with the header text. That's not really acceptable on our end.
Comment 10 Christopher Van Wiemeersch [:cvan] 2013-03-21 14:17:35 PDT

Mark, the overlapping text was from the `alt` attribute text on the `<img>`. There must've been a CDN issue when resolving that image. I've removed the `alt` text and changed the heading to say "Add-ons" instead of "Mobile Add-ons" so there's no wrapping.

Thanks for your bringing it to our attention - and let me know if there's anything else! (This will go live in about an hour with our weekly push.)
Comment 11 Aaron Train [:aaronmt] 2013-03-23 21:19:06 PDT
I still see the overlapping text on-load for a second, it resolves but it's still visible.
Comment 12 krupa raj[:krupa] 2013-03-27 16:20:44 PDT
Created attachment 730406 [details]

I can reproduce this issue on -dev and prod.
Comment 13 Christopher Van Wiemeersch [:cvan] 2013-03-28 13:23:33 PDT
Aaron, Krupa - thanks. The original screenshot showed just the detail page; I forgot we show the same logo with `alt` text ont homepage as well. I've fixed it there as well now! This is on -dev and will go to prod later today.
Comment 14 krupa raj[:krupa] 2013-03-28 14:19:00 PDT
It looks better now. But can we have the logo next to the header please?
Comment 15 krupa raj[:krupa] 2013-03-28 16:49:56 PDT
(In reply to krupa raj 82[:krupa] from comment #14)
> It looks better now. But can we have the logo next to the header please?

Cvan fixed this. Thanks!

Note You need to log in before you can comment on or make changes to this bug.